# Slackware Add-on package Project
#!/bin/sh
#
# <http://www.asahi-net.or.jp/~wp7s-mrn/>
#
# Date:
#   2002.07.06
#
# Package:
#   kinput2-v3.1-beta4-i386-1.tgz
#
# Files:
#   ftp://ftp.sra.co.jp/pub/X11/kinput2-v3.1-beta4.tar.gz
#
# Patches:
#   None
#
# Author:
#   Shinji Morino <peace24@blue.email.ne.jp>
#
PKGROOT=`pwd`
PATH=$PATH:/usr/X11R6/bin
tar -zxvf kinput2-v3.1-beta4.tar.gz
cd kinput2-v3.1-beta4
patch -p1 < ../kinput2.patch

#make
xmkmf
make Makefiles
cat cmd/Makefile | sed 's/^# CANNA/CANNA/g' > cmd/Makefile.tmp
mv cmd/Makefile.tmp cmd/Makefile
make depend
make
make install
make install.man

#makepkg
echo 'Creating package now ...'
if [ ! -d ${PKGROOT}/kinput2-v3_1-beta4 ]; then
  mkdir -p ${PKGROOT}/kinput2-v3_1-beta4/usr/X11R6/bin
  mkdir -p ${PKGROOT}/kinput2-v3_1-beta4/usr/X11R6/lib/X11/app-defaults
  mkdir -p ${PKGROOT}/kinput2-v3_1-beta4/usr/X11R6/man/man1
  mkdir -p ${PKGROOT}/kinput2-v3_1-beta4/usr/share/doc/kinput2-v3_1-beta4
  mkdir -p ${PKGROOT}/kinput2-v3_1-beta4/install
fi
mv /usr/X11R6/bin/kinput2         ${PKGROOT}/kinput2-v3_1-beta4/usr/X11R6/bin
mv /usr/X11R6/lib/X11/app-defaults/Kinput2 ${PKGROOT}/kinput2-v3_1-beta4/usr/X11R6/lib/X11/app-defaults
mv /usr/X11R6/man/man1/kinput2.1x ${PKGROOT}/kinput2-v3_1-beta4/usr/X11R6/man/man1
cp ./NEWS   ${PKGROOT}/kinput2-v3_1-beta4/usr/share/doc/kinput2-v3_1-beta4
cp ./README ${PKGROOT}/kinput2-v3_1-beta4/usr/share/doc/kinput2-v3_1-beta4
#
#Doing make Canna only, kinput2 not use ccdef information.
cp -R ./ccdef  ${PKGROOT}/kinput2-v3_1-beta4/usr/share/doc/kinput2-v3_1-beta4
cp -R ./client ${PKGROOT}/kinput2-v3_1-beta4/usr/share/doc/kinput2-v3_1-beta4
cp -R ./doc    ${PKGROOT}/kinput2-v3_1-beta4/usr/share/doc/kinput2-v3_1-beta4
cp -R ./cmd/kinput2.1x.html ${PKGROOT}/kinput2-v3_1-beta4/usr/share/doc/kinput2-v3_1-beta4
cp ${PKGROOT}/doinst.sh  ${PKGROOT}/kinput2-v3_1-beta4/install
cd ${PKGROOT}/kinput2-v3_1-beta4
yes | makepkg kinput2-v3_1-beta4-i386-1.tgz
mv ${PKGROOT}/kinput2-v3_1-beta4/kinput2-v3_1-beta4-i386-1.tgz ${PKGROOT}

#remove temporary files
rm -R ${PKGROOT}/kinput2-v3_1-beta4

